
Summary: A git GUI viewer
Name: qgit
Version: 1.4
Release: %mkrel 1
Source0: http://ovh.dl.sourceforge.net/sourceforge/qgit/%{name}-%{version}.tar.bz2
License: GPL
Group: Development/Other
Url: http://sourceforge.net/projects/qgit
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: scons 
BuildRequires: qt3-devel
Requires: git-core

%define qtdir /usr/lib/qt3

%description
With qgit you will be able to browse revisions history, view patch content
and changed
files, graphically following different development branches.

Main features
- View revisions, diffs, files history, files annotation, archive tree.
- Commit changes visually cherry picking modified files.
- Apply or format patch series from selected commits, drag and
  drop commits between two instances of qgit.
- qgit implements a GUI for the most common StGIT commands like push/pop
  and apply/format patches. You can also create new patches or refresh
  current top one using the same semantics of git commit, i.e. cherry
  picking single modified files.
   
%prep
%setup -q

%build

export QTDIR=%{qtdir}
%configure --with-qt-libraries=$QTDIR/%{_lib}
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/*
%doc README

%changelog
* Mon Jul 17 2006 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.4-1mdv2007.0
- New release 1.4

* Sat Jun 17 2006 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.3-2mdv2007.0
- drop Requires: cogito (thanks to Marco Costalba)

* Wed Jun 07 2006 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.3-1mdk
- New release 1.3

* Tue May 02 2006 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.2-1mdk
- New release 1.2

* Tue Mar 21 2006 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.1.1-2mdk
- fix build on x86_64
- add description

* Mon Mar 20 2006 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.1.1-1mdk
- New release 1.1.1
- use configure and makeinstall macros

* Fri Dec 30 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.0-1mdk
- New release 1.0
- requires git-core instead of linus-git

* Sat Dec 03 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.97.3-1mdk
- New release 0.97.3

* Sun Nov 13 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.97.2-1mdk
- New release 0.97.2

* Sun Nov  6 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.97-2mdk
- rebuild with new scons (fix build on x86_64)

* Fri Nov 04 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.97-1mdk
- New release 0.97

* Mon Oct 17 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.96.1-1mdk
- New release 0.96.1

* Tue Oct 04 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.95.1-1mdk
- New release 0.95.1

* Wed Sep  7 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.93-1mdk
- first mandriva release
